--- blogd.c
+++ blogd.c
@@ -183,6 +183,7 @@
 {
     int fd, flags;
     int ptm, pts, cntrtty = 1;
+    int quiet = 0;
     pid_t pid, ppid = getppid();
     char ptsname[NAME_MAX+1];
     struct termios t;
@@ -193,7 +194,14 @@
     myname = basename(*argv);
 
     if (argc > 2)
-	error("Too many args; usage: %s [/dev/tty<X>]\n", myname);
+	error("Too many args; usage: %s [-q] [/dev/tty<X>]\n", myname);
+
+    if (argc > 1 && strcmp(argv[1], "-q") == 0) {
+	quiet = 1;
+	--argc;
+	if (argc > 2)
+	    argv[1] = argv[2];
+    }
 
     if (argc == 2)
 	tty = argv[1];
@@ -282,6 +289,7 @@
 	close(pts);
 	close(ptm);
 	close(fd);
+	if (!quiet)
 	fprintf(stdout, "\rBoot logging started on %s(%s) at %.24s\n", tty, name, stt);
 	fflush(stdout);
 	exit(0);
